﻿using UnityEngine;
using System;
using System.IO;
using System.Collections;
using System.Collections.Generic;

public class PlayerController : MonoBehaviour {

	public bool[] keys = {false, false, false, false, false};

	public float walkSpeed = 2.5f;
	private RaycastHit2D hit;
	private BoxCollider2D boxCollider;

	void Start () {
		//name = "Player";
		GameObject.Find ("Camera").transform.localPosition = new Vector2 (0, 0);
		boxCollider = transform.FindChild("Player_Sprite").GetComponent<BoxCollider2D>();
	}

	void Update () {
		Movement ();
	}

	public void Movement() {
		if (this.gameObject.name.Contains("0")) {
			Vector2 direction = new Vector2(Input.GetAxisRaw("Horizontal"), Input.GetAxisRaw("Vertical")) * walkSpeed * Time.deltaTime;
			hit = Physics2D.BoxCast(boxCollider.bounds.center, boxCollider.size, 0, new Vector2(0, direction.y), Mathf.Abs(direction.y));
			if (hit.collider == null)
			{
				transform.Translate(0, direction.y, 0);
			}
			hit = Physics2D.BoxCast(boxCollider.bounds.center, boxCollider.size, 0, new Vector2(direction.x,0), Mathf.Abs(direction.x));
			if (hit.collider == null)
			{
				transform.Translate(direction.x, 0, 0);
			}
		}
		else if(this.gameObject.name.Contains("1")) {
			Vector2 direction = new Vector2(Input.GetAxisRaw("H"), Input.GetAxisRaw("V")) * walkSpeed * Time.deltaTime;
			hit = Physics2D.BoxCast(boxCollider.bounds.center, boxCollider.size, 0, new Vector2(0, direction.y), Mathf.Abs(direction.y));
			if (hit.collider == null)
			{
				transform.Translate(0, direction.y, 0);
			}
			hit = Physics2D.BoxCast(boxCollider.bounds.center, boxCollider.size, 0, new Vector2(direction.x,0), Mathf.Abs(direction.x));
			if (hit.collider == null)
			{
				transform.Translate(direction.x, 0, 0);
			}
		}
		else if(this.gameObject.name.Contains("2")) {
			Vector2 direction = new Vector2(Input.GetAxisRaw("H2"), Input.GetAxisRaw("V2")) * walkSpeed * Time.deltaTime;
			hit = Physics2D.BoxCast(boxCollider.bounds.center, boxCollider.size, 0, new Vector2(0, direction.y), Mathf.Abs(direction.y));
			if (hit.collider == null)
			{
				transform.Translate(0, direction.y, 0);
			}
			hit = Physics2D.BoxCast(boxCollider.bounds.center, boxCollider.size, 0, new Vector2(direction.x,0), Mathf.Abs(direction.x));
			if (hit.collider == null)
			{
				transform.Translate(direction.x, 0, 0);
			}
		}
		else if(this.gameObject.name.Contains("3")) {
			Vector2 direction = new Vector2(Input.GetAxisRaw("H3"), Input.GetAxisRaw("V3")) * walkSpeed * Time.deltaTime;
			hit = Physics2D.BoxCast(boxCollider.bounds.center, boxCollider.size, 0, new Vector2(0, direction.y), Mathf.Abs(direction.y));
			if (hit.collider == null)
			{
				transform.Translate(0, direction.y, 0);
			}
			hit = Physics2D.BoxCast(boxCollider.bounds.center, boxCollider.size, 0, new Vector2(direction.x,0), Mathf.Abs(direction.x));
			if (hit.collider == null)
			{
				transform.Translate(direction.x, 0, 0);
			}
		}
	}
}