﻿using UnityEngine;
using System.Collections;

public class SimpleSpriteAnimation : MonoBehaviour {

	public Sprite[] sprite;
	public float framesPerSecond;
	private SpriteRenderer spriteRenderer;

	void Start () {
		spriteRenderer = renderer as SpriteRenderer;
	}

	void Update () {
		int index = (int)(Time.timeSinceLevelLoad * framesPerSecond);
		index = index % sprite.Length;
		spriteRenderer.sprite = sprite [index];
	}
}
