﻿using UnityEngine;
using System;
using System.IO;
using System.Collections;
using System.Collections.Generic;

public class Mapping : MonoBehaviour
{
	public TextAsset TilesMapLevel;
	public TextAsset GroundsMapLevel;
	public TextAsset StylesTilesMapLevel;
	public TextAsset ElementsMapLevel;

	public Sprite[] Style0;
	public Sprite[] Style1;
	
	public Sprite[][] spriteTiles = new Sprite[2][];

	public float[] specTimerDoors;

	void Start()
	{
		spriteTiles [0] = new Sprite[Style0.Length];
		spriteTiles [0] = Style0;
		spriteTiles [1] = new Sprite[Style1.Length];
		spriteTiles [1] = Style1;
		transform.GetComponent<MappingCSV> ().spriteTiles = spriteTiles;
		transform.GetComponent<MappingCSV> ().CreateTiles (TilesMapLevel, StylesTilesMapLevel);
		transform.GetComponent<MappingCSV> ().CreateElements (GroundsMapLevel);
		//on instancie la classe qui gère les player et on créé tout de suite le premier
		transform.GetComponent<PlayerManager> ().createNewPlayer ();
		//transform.GetComponent<PlayerManager> ().createNewPlayer ();
	}
}