﻿using UnityEngine;
using System.Collections;

public class MultiplayerManagement : MonoBehaviour {
	public GameObject mainCam;
	public GameObject cam1;
	public GameObject cam2;
	public GameObject cam3;
	private short nombre_player;

	// Use this for initialization
	void Start () {
		mainCam = GameObject.Find ("Camera");
		nombre_player = mainCam.gameObject.GetComponent<PlayerManager> ().Nombre_player();
	}
	
	// Update is called once per frame
	void Update () {
		nombre_player = mainCam.gameObject.GetComponent<PlayerManager> ().Nombre_player();
		if (Input.GetKeyDown (KeyCode.Space)) {
			if(nombre_player < 4) {
				if(nombre_player == 1) {
					Camera.main.rect = new Rect(Camera.main.rect.x,Camera.main.rect.y,0.5f,Camera.main.rect.height);
					cam1 = new GameObject ("Camera1");
					cam1.AddComponent("Camera");
					cam1.transform.position = new Vector3(0.64f, -0.64f, -10f);
					cam1.camera.backgroundColor = Color.black;
					cam1.camera.orthographic = true;
					cam1.camera.orthographicSize = 1.5f;
					cam1.camera.rect = new Rect(0.5f, 0f, 0.5f, 1f);
					cam1.camera.depth = -1f;
					mainCam.gameObject.GetComponent<PlayerManager>().createNewPlayer();
					cam1.AddComponent("CameraFollower");
					GameObject.Find ("Camera1").GetComponent<CameraFollower> ().Target = GameObject.Find ("Player1").transform.FindChild("player1").gameObject;
					GameObject.Find ("Camera").GetComponent<CameraFollower> ().Target = GameObject.Find ("Player0").transform.FindChild("player0").gameObject;
				}
				else if(nombre_player == 2) {
					Camera.main.rect = new Rect(0f, 0.5f, 0.5f, 0.5f);
					cam1.camera.rect = new Rect(0.5f, 0.5f, 0.5f, 0.5f);
					cam2 = new GameObject ("Camera2");
					cam2.AddComponent("Camera");
					cam2.transform.position = new Vector3(0.64f, -0.64f, -10f);
					cam2.camera.backgroundColor = Color.black;
					cam2.camera.orthographic = true;
					cam2.camera.orthographicSize = 1.5f;
					cam2.camera.rect = new Rect(0f, 0f, 0.5f, 0.5f);
					cam2.camera.depth = -1f;
					mainCam.gameObject.GetComponent<PlayerManager>().createNewPlayer();
					cam2.AddComponent("CameraFollower");
					GameObject.Find ("Camera2").GetComponent<CameraFollower> ().Target = GameObject.Find ("Player2").transform.FindChild("player2").gameObject;
					GameObject.Find ("Camera").GetComponent<CameraFollower> ().Target = GameObject.Find ("Player0").transform.FindChild("player0").gameObject;
				}
				else if(nombre_player == 3) {
					cam3 = new GameObject ("Camera3");
					cam3.AddComponent("Camera");
					cam3.transform.position = new Vector3(0.64f, -0.64f, -10f);
					cam3.camera.backgroundColor = Color.black;
					cam3.camera.orthographic = true;
					cam3.camera.orthographicSize = 1.5f;
					cam3.camera.rect = new Rect(0.5f, 0f, 0.5f, 0.5f);
					cam3.camera.depth = -1f;
					mainCam.gameObject.GetComponent<PlayerManager>().createNewPlayer();
					cam3.AddComponent("CameraFollower");
					GameObject.Find ("Camera3").GetComponent<CameraFollower> ().Target = GameObject.Find ("Player3").transform.FindChild("player3").gameObject;
					GameObject.Find ("Camera").GetComponent<CameraFollower> ().Target = GameObject.Find ("Player0").transform.FindChild("player0").gameObject;
				}
			}
		}
	}
}
