﻿using UnityEngine;
using System;
using System.IO;
using System.Collections;
using System.Collections.Generic;

public class PlayerAnimationSimple : MonoBehaviour {
	
	public Sprite[] animationIdle;
	const float framesPerSecond = 12.0f;
	private SpriteRenderer spriteRenderer;

	private int index = 0;
	private int dir = 0;
	
	void Start () {
		spriteRenderer = renderer as SpriteRenderer;
	}
	
	void Update () {
		ChangeDirection ();
		Draw ();
	}
	
	void Draw () 
	{
		if (this.gameObject.transform.parent.gameObject.name.Contains ("0")) {
						if ((Input.GetAxisRaw ("Horizontal") == 0.0f) && (Input.GetAxisRaw ("Vertical") == 0.0f)) {
								if (dir == 0)
										index = 0;
								else if (dir == 90)
										index = 1;
								else if (dir == 180)
										index = 2;
								else if (dir == 270)
										index = 3;
								spriteRenderer.sprite = animationIdle [index];
						}
				} else if (this.gameObject.transform.parent.gameObject.name.Contains ("1")) {
						if ((Input.GetAxisRaw ("H") == 0.0f) && (Input.GetAxisRaw ("V") == 0.0f)) {
								if (dir == 0)
										index = 0;
								else if (dir == 90)
										index = 1;
								else if (dir == 180)
										index = 2;
								else if (dir == 270)
										index = 3;
								spriteRenderer.sprite = animationIdle [index];
						}
				} else if (this.gameObject.transform.parent.gameObject.name.Contains ("2")) {
						if ((Input.GetAxisRaw ("H2") == 0.0f) && (Input.GetAxisRaw ("V2") == 0.0f)) {
								if (dir == 0)
										index = 0;
								else if (dir == 90)
										index = 1;
								else if (dir == 180)
										index = 2;
								else if (dir == 270)
										index = 3;
								spriteRenderer.sprite = animationIdle [index];
						}
				} else if (this.gameObject.transform.parent.gameObject.name.Contains ("3")) {
						if ((Input.GetAxisRaw ("H3") == 0.0f) && (Input.GetAxisRaw ("V3") == 0.0f)) {
								if (dir == 0)
										index = 0;
								else if (dir == 90)
										index = 1;
								else if (dir == 180)
										index = 2;
								else if (dir == 270)
										index = 3;
								spriteRenderer.sprite = animationIdle [index];
						}
				}
	}
	
	void ChangeDirection() 
	{
		if (this.gameObject.transform.parent.gameObject.name.Contains ("0")) {
			if(Convert.ToInt32(Input.GetAxisRaw ("Vertical")) == 0)
			{
				if(Convert.ToInt32(Input.GetAxisRaw ("Horizontal")) == -1)
					dir = 180;
				else if(Convert.ToInt32(Input.GetAxisRaw ("Horizontal")) == 1)
					dir = 0;
			}
			else if(Convert.ToInt32(Input.GetAxisRaw ("Horizontal")) == 0)
			{
				if(Convert.ToInt32(Input.GetAxisRaw ("Vertical")) == -1)
					dir = 270;
				else if(Convert.ToInt32(Input.GetAxisRaw ("Vertical")) == 1)
					dir = 90;
			}
		}
		else if (this.gameObject.transform.parent.gameObject.name.Contains ("1")) {
			if(Convert.ToInt32(Input.GetAxisRaw ("V")) == 0)
			{
				if(Convert.ToInt32(Input.GetAxisRaw ("H")) == -1)
					dir = 180;
				else if(Convert.ToInt32(Input.GetAxisRaw ("H")) == 1)
					dir = 0;
			}
			else if(Convert.ToInt32(Input.GetAxisRaw ("H")) == 0)
			{
				if(Convert.ToInt32(Input.GetAxisRaw ("V")) == -1)
					dir = 270;
				else if(Convert.ToInt32(Input.GetAxisRaw ("V")) == 1)
					dir = 90;
			}
		}
		else if(this.gameObject.transform.parent.gameObject.name.Contains ("2")) {
			if(Convert.ToInt32(Input.GetAxisRaw ("V2")) == 0)
			{
				if(Convert.ToInt32(Input.GetAxisRaw ("H2")) == -1)
					dir = 180;
				else if(Convert.ToInt32(Input.GetAxisRaw ("H2")) == 1)
					dir = 0;
			}
			else if(Convert.ToInt32(Input.GetAxisRaw ("H2")) == 0)
			{
				if(Convert.ToInt32(Input.GetAxisRaw ("V2")) == -1)
					dir = 270;
				else if(Convert.ToInt32(Input.GetAxisRaw ("V2")) == 1)
					dir = 90;
			}
		}
		else if(this.gameObject.transform.parent.gameObject.name.Contains ("3")) {
			if(Convert.ToInt32(Input.GetAxisRaw ("V3")) == 0)
			{
				if(Convert.ToInt32(Input.GetAxisRaw ("H3")) == -1)
					dir = 180;
				else if(Convert.ToInt32(Input.GetAxisRaw ("H3")) == 1)
					dir = 0;
			}
			else if(Convert.ToInt32(Input.GetAxisRaw ("H3")) == 0)
			{
				if(Convert.ToInt32(Input.GetAxisRaw ("V3")) == -1)
					dir = 270;
				else if(Convert.ToInt32(Input.GetAxisRaw ("V3")) == 1)
					dir = 90;
			}
		}
	}
}